Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695851 - tortoisehg cannot be installed on F30 (beta)
Summary: tortoisehg cannot be installed on F30 (beta)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 19:31 UTC by Kostya Vasilyev
Modified: 2019-04-13 00:04 UTC (History)
2 users (show)

Fixed In Version: tortoisehg-4.9-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:04:16 UTC


Attachments (Terms of Use)
Tortoise HG on Windows uses Mercurial 4.9 (deleted)
2019-04-07 15:21 UTC, Kostya Vasilyev
no flags Details

Description Kostya Vasilyev 2019-04-03 19:31:30 UTC
Description of problem:

TortoiseHG cannot be installed on Fedora 30 beta


Steps to Reproduce:

1. Update to Fedora 30 beta
2. $ sudo dnf install tortoisehg

Actual results:

Last metadata expiration check: 0:01:51 ago on Wed 03 Apr 2019 10:25:26 PM MSK.
Error: 
 Problem: conflicting requests
  - nothing provides mercurial < 4.7 needed by tortoisehg-4.6.1-2.fc30.noarch
(try to add '--skip-broken' to skip uninstallable packages)


Expected results:

Tortoise HG is installed


Additional info:

$ sudo dnf list mercurial
Installed Packages
mercurial.x86_64                                      4.7-1.fc30                                       @fedora

Comment 1 Kostya Vasilyev 2019-04-07 08:38:32 UTC
Please also note that the current version is 4.9.0

https://tortoisehg.bitbucket.io/

Maybe it's time to update both packages (Mercurial itself AND TortoiseHG)?

If you wanted to be more conservative, maybe use 4.8.1 ("point release" with bug fixes)?

Comment 2 Fedora Update System 2019-04-07 13:42:31 UTC
tortoisehg-4.9-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9870e800a

Comment 3 Kostya Vasilyev 2019-04-07 15:21:04 UTC
Created attachment 1553267 [details]
Tortoise HG on Windows uses Mercurial 4.9

Comment 4 Kostya Vasilyev 2019-04-07 15:21:35 UTC
(In reply to Fedora Update System from comment #2)
> tortoisehg-4.9-1.fc30 has been submitted as an update to Fedora 30.
> https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9870e800a

Thank you!

Did you update mercurial itself as well?

When I bring up TortoiseHG -> About on Windows, it says "Mercurial 4.9" (attached)...

... and Fedora 30 has mercurial 4.7 at this time.

Comment 5 Mads Kiilerich 2019-04-07 20:01:46 UTC
Yes, the tortoiseHg installer on Windows include Mercurial. In Fedora, TortoiseHg must use the Mercurial that ships with Fedora. Let's hope it gets updated too.

Comment 6 Fedora Update System 2019-04-08 02:36:47 UTC
tortoisehg-4.9-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e9870e800a

Comment 7 Kostya Vasilyev 2019-04-08 07:58:58 UTC
(In reply to Mads Kiilerich from comment #5)
> Yes, the tortoiseHg installer on Windows include Mercurial. In Fedora,
> TortoiseHg must use the Mercurial that ships with Fedora. Let's hope it gets
> updated too.

Yes I know it's separate... Filed bug #1697203 suggesting it's updated.

Comment 8 Fedora Update System 2019-04-13 00:04:16 UTC
tortoisehg-4.9-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.